Bug 1127880 - rhel-x86_64-server-6-cf-me-3-beta channel maps are missing from channel-cert-mapping.txt
Summary: rhel-x86_64-server-6-cf-me-3-beta channel maps are missing from channel-cert-...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager-migration-data
Version: 6.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel68
TreeView+ depends on / blocked
 
Reported: 2014-08-07 18:12 UTC by John Sefler
Modified: 2017-01-16 20:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-16 20:22:00 UTC


Attachments (Terms of Use)

Description John Sefler 2014-08-07 18:12:10 UTC
Description of problem:

RHN Classic channel 'rhel-x86_64-server-6-cf-me-3-beta' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-x86_64-server-6-cf-me-3-beta-debuginfo' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt'. expected:<true> but was:<false>


Version-Release number of selected component (if applicable):
[root@jsefler-6 rhnDefinitionsDir]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.10-1.el6.noarch


How reproducible:


Steps to Reproduce:
[root@jsefler-6 ~]# grep rhel-x86_64-server-6-cf-me-3 /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-server-6-cf-me-3: cf-x86_64-2aef4d10d1a4-167.pem
rhel-x86_64-server-6-cf-me-3-debuginfo: cf-x86_64-2aef4d10d1a4-167.pem
[root@jsefler-6 ~]# 


Actual results:
above

Expected results:
also expected mappings for channels
rhel-x86_64-server-6-cf-me-3-beta
rhel-x86_64-server-6-cf-me-3-beta-debuginfo


Additional info:
Before this bug can be fixed in subscription-manager-migration-data, an upstream fix to http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json must be done by Release Engineering.

Comment 1 Jesus M. Rodriguez 2014-08-13 19:24:36 UTC
Will be fixed in the next release of migration-data.

Comment 3 Sharath Dwaral 2014-08-15 14:37:41 UTC
Version:

# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.11-1.el6.noarch

Verification:

# grep rhel-x86_64-server-6-cf-me-3 /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-server-6-cf-me-3: cf-x86_64-2aef4d10d1a4-167.pem
rhel-x86_64-server-6-cf-me-3-debuginfo: cf-x86_64-2aef4d10d1a4-167.pem


FAILED

Aditional Information:

The below mappings are not present in the latest sub-man-migration-data
rhel-x86_64-server-6-cf-me-3-beta
rhel-x86_64-server-6-cf-me-3-beta-debuginfo

Comment 5 Bryan Kearney 2014-11-03 19:48:13 UTC
Moving bugs to 6.7

Comment 6 Bryan Kearney 2014-11-03 19:49:13 UTC
Moving bugs to 6.7

Comment 7 Bryan Kearney 2014-11-03 19:53:58 UTC
Moving bugs to 6.7

Comment 8 Andrew Thomas 2014-11-04 19:58:16 UTC
These channels are requested to remain disabled. If possible please skip these in future tests for the time being.

Comment 11 John Sefler 2017-01-16 16:46:26 UTC
moving to CLOSED WONTFIX based on comment 8

Comment 12 John Sefler 2017-01-16 20:25:42 UTC
Note that a satellite-sync reveals that these channels are empty...

[root@rhsm-sat5 ~]# satellite-sync --list-channels > allchannels.txt
[root@rhsm-sat5 ~]# grep rhel-x86_64-server-6-cf-me-3-beta allchannels.txt
12:24:47       p rhel-x86_64-server-6-cf-me-3-beta           0 
12:24:47       p rhel-x86_64-server-6-cf-me-3-beta-debuginfo    0 
[root@rhsm-sat5 ~]#


Note You need to log in before you can comment on or make changes to this bug.